{* <!--
  Impera CMS: субшаблон Tympanus CNE slider
  Автор: Mary Lou (Manoela Ilic)
  Сайт автора: http://tympanus.net

  Принимает во входных параметрах:
    $banner_path = относительный путь картинок демонстрируемого баннера
                   или относительное имя файла демонстрируемой картинки
                   (по умолчанию Tympanus-CNE-demo/)
    $width = ширина слайдера в пикселях (диапазон от 600 до 1024,
             по умолчанию 640)
    $height = высота слайдера в пикселях (диапазон от 300 до 768,
              по умолчанию 320)
    $link_templater = булевой признак "самостоятельно подключить скрипт
                      jQuery-шаблонизатора" (по умолчанию true)
    $link_engine = булевой признак "самостоятельно подключить свои стили
                   и скрипт" (по умолчанию true)

  Использует переменные движка:
    $banners = массив прочитанных баннеров
    $site = полный url корневой папки сайта
    $smarty = объект шаблонизатора

  Подключение из своего шаблона:
    {include file = "../../common_parts/Tympanus-CNE-slider/main.tpl"
             banner_path = строка пути к картинкам баннера
             width = число от 600 до 1024
             height = число от 300 до 768
             link_templater = true или false
             link_engine = true или false}

  ============================================================================ --> *}

  {* <!-- если движком прочитаны баннеры --> *}
  {if isset($banners) && is_array($banners) && !empty($banners)}
    {strip}

      {* <!-- запоминаем входной путь --> *}
      {$tympanus_cne_path = ($banner_path|default:'Tympanus-CNE-demo/')|lower}
      {$tympanus_cne_path = $tympanus_cne_path|regex_replace:'![/\\\]+!':'/'}

      {* <!-- готовим картинки --> *}
      {capture assign = "tympanus_cne_images"}
        {$tympanus_cne_url = ($site|default:'')|cat:($smarty.const.ADMIN_BANNERS_CLASS_UPLOAD_FOLDER|default:'')|cat:'/'}
        {$tympanus_cne_url = $tympanus_cne_url|regex_replace:'![/\\\]+!':'/'}
        {$tympanus_cne_url = $tympanus_cne_url|regex_replace:'!^([a-z]+:/)!i':'\1/'}
        {$tympanus_cne_url = $tympanus_cne_url|escape}

        {* <!-- перебираем неотключенные папки или файлы баннера --> *}
        {function name = "show_banners"}
          {foreach $dir as $c}
            {if $c->enabled|default:true}
              {$tympanus_cne_folder = $c->path|default:''}
              {$tympanus_cne_file = $tympanus_cne_folder|cat:($c->filename|default:'')}
              {$tympanus_cne_thumb = $tympanus_cne_folder|cat:($c->thumb|default:$c->filename|default:'')}

              {* <!-- если это папка, делаем рекурсию --> *}
              {if isset($c->files)}
                {if is_array($c->files) && !empty($c->files)}
                  {show_banners dir = $c->files}
                {/if}

              {* <!-- иначе если это файл-картинка и он выбран или из выбранной папки --> *}
              {elseif isset($c->width) && isset($c->height)
              && (($tympanus_cne_folder|lower == $tympanus_cne_path)
              || ($tympanus_cne_file|lower == $tympanus_cne_path))}

                <img src="{$tympanus_cne_url}{$tympanus_cne_file|escape}" {**}
                     title="{$c->title|default:''|escape}" {**}
                     data-description="{$c->description|default:''|escape}" {**}
                     data-price="{$c->price|default:''|escape}" {**}
                     data-link="{$c->link|default:''|escape}" {**}
                     data-thumb="{$tympanus_cne_url}{$tympanus_cne_thumb|escape}" />

              {/if}
            {/if}

          {/foreach}
        {/function}
        {show_banners dir = $banners}
      {/capture}

      {* <!-- готовим стилевой путь --> *}
      {$tympanus_cne_common = (($site|default:'')|cat:'design/common/Tympanus-CNE-slider/')|escape}

      {* <!-- готовим уникальный префиксатор --> *}
      {capture assign = "tympanus_cne_prefix"}CNEslider{math equation = "rand(1, 100000000)"}-{/capture}

      {* <!-- если позволили, подключаем скрипт jQuery шаблонизатора --> *}
      {if $link_templater|default:true === true}
        <script src="{$tympanus_cne_common}jquery.tmpl.min.js" {**}
                language="JavaScript" {**}
                type="text/javascript"></script>
      {/if}

      {* <!-- если позволили подключить движковую часть слайдера (стили, шаблон, скрипты) --> *}
      {if $link_engine|default:true === true}

        {* <!-- подключаем стили слайдера --> *}
        <link href="{$tympanus_cne_common}tympanus-cne-style.css" {**}
              rel="stylesheet" {**}
              type="text/css" />

        {* <!-- доопределяем стили на случай выключенного JavaScript --> *}
        {literal}
          <noscript>
            <style>
              .tympanus-cne-images img {
                  position: relative;
                  display: block;
                  border-top: 2px solid #d0ab47;
                  border-bottom: 2px solid #d0ab47;
              }
              .tympanus-cne-slideshow {
                  height: auto;
                  max-height: none;
              }
            </style>
          </noscript>
        {/literal}

        {* <!-- определяем jquery-шаблон слайдера --> *}
        {literal}
          <script type="text/x-jquery-tmpl"
                  id="tympanus-cne-slider-template">
            <div class="tympanus-cne-bar">
              <div class="tympanus-cne-nav-description">
                ${currentDescription}
              </div>
              <div class="tympanus-cne-nav">
                <a href="#" class="tympanus-cne-nav-prev">
                  <span>Назад</span>
                  <div>
                    <img src="${prevSource}">
                  </div>
                </a>
                <a href="#" class="tympanus-cne-nav-next">
                  <span>Вперед</span>
                  <div>
                    <img src="${nextSource}">
                  </div>
                </a>
              </div>
              <div class="tympanus-cne-nav-content">
                <div class="tympanus-cne-nav-content-prev">
                  <span class="tympanus-cne-nav-content-price">${prevPrice}</span>
                  <h3 class="tympanus-cne-nav-content-title">${prevTitle}</h3>
                </div>
                <div class="tympanus-cne-nav-content-current">
                  <span class="tympanus-cne-nav-content-price">${currentPrice}</span>
                  <h2 class="tympanus-cne-nav-content-title">${currentTitle}</h2>
                </div>
                <div class="tympanus-cne-nav-content-next">
                  <span class="tympanus-cne-nav-content-price">${nextPrice}</span>
                  <h3 class="tympanus-cne-nav-content-title">${nextTitle}</h3>
                </div>
              </div>
            </div>
          </script>
        {/literal}

        {* <!-- подключаем скрипт слайдера --> *}
        <script src="{$tympanus_cne_common}tympanus-cne-slideshow.js" {**}
                language="JavaScript" {**}
                type="text/javascript"></script>
      {/if}

      {* <!-- если есть подготовленные картинки --> *}
      {if $tympanus_cne_images|regex_replace:'!\s!s':'' != ''}

        {* <!-- если просили поправить размеры --> *}
        {if ($width|default:0 >= 600) && ($width|default:0 <= 1024)
        || ($height|default:0 >= 300) && ($height|default:0 <= 768)}
          <style>
            #{$tympanus_cne_prefix}tympanus-cne-slideshow {
                {if ($width|default:0 >= 600) && ($width|default:0 <= 1024)}
                  width: {$width|string_format:'%d'}px;
                {/if}
                {if ($height|default:0 >= 300) && ($height|default:0 <= 768)}
                  height: {$height|string_format:'%d'}px;
                {/if}
            }
          </style>
        {/if}

        {* <!-- контейнер слайдера --> *}
        <div id="{$tympanus_cne_prefix}tympanus-cne-slideshow" {**}
             class="tympanus-cne-slideshow">
          <div class="tympanus-cne-images">
            {$tympanus_cne_images}
          </div>
        </div>

        {* <!-- запускаем слайдер --> *}
        <script language="JavaScript" {**}
                type="text/javascript">
          jQuery(function () {
            jQuery('#{$tympanus_cne_prefix}tympanus-cne-slideshow').slideshow();
          });
        </script>
      {/if}

    {/strip}
  {/if}
